#ifndef XGFXWORLDVERTEXDATA_H
#define XGFXWORLDVERTEXDATA_H

#include "xasset.h"
#include "xd3dvertexbuffer.h"
#include "xgfxworldvertex.h"

#include <QVector>

class XGfxWorldVertexData : public XAsset
{
public:
    explicit XGfxWorldVertexData();
    ~XGfxWorldVertexData();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector<XGfxWorldVertex> mVertices;
    XD3DVertexBuffer mWorldVertexBuffer;
};

#endif // XGFXWORLDVERTEXDATA_H
